﻿@using SportsClub.Areas.Dashboard.Models
@model SchoolSeasonscheduleSettingViewModel
@{
    Layout = null;
}

<style>

</style>

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" ui-sref='SeasonSchoolSetting({seasonDomain: MC.stateParams.seasonDomain})'>
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1>
                Schedule Information
            </h1>
        </div>

        <div class="clearfix"></div>
        <hr />
    </div>

    <form novalidate>

        <fieldset>
            <div>

                <div class="place-left padding-right20">
                    <div class="input-control checkbox" data-role="input-control">
                        <label>
                            <input ng-model="@Html.Ang(model => model.Monday)" type="checkbox">
                            <span class="check"></span>
                            Mondays
                        </label>
                    </div>
                </div>
                <div class="clearfix"></div>
                <div ng-show="@Html.Ang(m=> m.Monday)" style="padding-left:30px">
                    <label>Total day count during season</label>
                    <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.MondayNumberOfClasses)>
                        <input ng-model="@Html.Ang(m => m.MondayNumberOfClasses)" type="text" @Html.AngTooltipValidationFor(model => model.MondayNumberOfClasses) />
                    </div>
                    <div class="clearfix"></div>
                    <label>Applicable dates</label>
                    <div class="input-control date-time">
                        <input kendo-date-picker ng-model="mondaydates" k-options="MC.datePickerOptions" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" ng-change="datetimePickerChanged($event,'Monday')" />
                    </div>
                    
                    <div class="input-control choosen" data-role="input-control" >
                        <div >
                            <select chosen multiple
                                    data-placeholder="Select applicable dates"
                                    ng-model="@Html.Ang(m => m.MondayDates)"
                                    name="mondayApplicableDates"
                                    ng-options="obj.Value as obj.Text for obj in Model.AllMondayDates"></select>
                        </div>
                    </div>
                </div>
           
                <div class="place-left padding-right20">
                    <div class="input-control checkbox" data-role="input-control">
                        <label>
                            <input ng-model="@Html.Ang(model => model.Tuesday)" type="checkbox">
                            <span class="check"></span>
                            Tuesdays
                        </label>
                    </div>
                </div>
                <div class="clearfix"></div>
                <div ng-show="@Html.Ang(m=> m.Tuesday)" style="padding-left:30px">
                    <label>Total day count during season</label>
                    <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.TuesdayNumberOfClasses)>
                        <input ng-model="@Html.Ang(m => m.TuesdayNumberOfClasses)" type="text" @Html.AngTooltipValidationFor(model => model.TuesdayNumberOfClasses) />
                    </div>
                    <div class="clearfix"></div>
                    <label>Applicable dates</label>
                    <div class="input-control date-time">
                        <input kendo-date-picker ng-model="tuesdaydates" k-options="MC.datePickerOptions" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" ng-change="datetimePickerChanged($event,'Tuesday')" />
                    </div>
                    <div class="input-control choosen" data-role="input-control">
                        <div>
                            <select chosen multiple
                                    data-placeholder="Select applicable dates"
                                    ng-model="@Html.Ang(m => m.TuesdayDates)"
                                    name="tuesdayApplicableDates"
                                    ng-options="obj.Value as obj.Text for obj in Model.AllTuesdayDates"></select>
                        </div>
                    </div>

                </div>
                
                <div class="place-left padding-right20">
                    <div class="input-control checkbox" data-role="input-control">
                        <label>
                            <input ng-model="@Html.Ang(model => model.Wednesday)" type="checkbox">
                            <span class="check"></span>
                            Wednesdays
                        </label>
                    </div>
                </div>
                <div class="clearfix"></div>
                <div ng-show="@Html.Ang(m=> m.Wednesday)" style="padding-left:30px">
                    <label>Total day count during season</label>
                    <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.WednesdayNumberOfClasses)>
                        <input ng-model="@Html.Ang(m => m.WednesdayNumberOfClasses)" type="text" @Html.AngTooltipValidationFor(model => model.WednesdayNumberOfClasses) />
                    </div>
                    <div class="clearfix"></div>
                    <label>Applicable dates</label>
                    <div class="input-control date-time">
                        <input kendo-date-picker ng-model="wednesdaydates" k-options="MC.datePickerOptions" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" ng-change="datetimePickerChanged($event,'Wednesday')" />
                    </div>
                    <div class="input-control choosen" data-role="input-control">
                        <div>
                            <select chosen multiple
                                    data-placeholder="Select applicable dates"
                                    ng-model="@Html.Ang(m => m.WednesdayDates)"
                                    name="wednesdayApplicableDates"
                                    ng-options="obj.Value as obj.Text for obj in Model.AllWednesdayDates"></select>
                        </div>
                    </div>
                    
                </div>
                
                <div class="place-left padding-right20">
                    <div class="input-control checkbox" data-role="input-control">
                        <label>
                            <input ng-model="@Html.Ang(model => model.Thursday)" type="checkbox">
                            <span class="check"></span>
                            Thursdays
                        </label>
                    </div>
                </div>
                <div class="clearfix"></div>
                <div ng-show="@Html.Ang(m=> m.Thursday)" style="padding-left:30px">
                    <label>Total day count during season</label>
                    <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.ThursdayNumberOfClasses)>
                        <input ng-model="@Html.Ang(m => m.ThursdayNumberOfClasses)" type="text" @Html.AngTooltipValidationFor(model => model.ThursdayNumberOfClasses) />
                    </div>
                    <div class="clearfix"></div>
                    <label>Applicable dates</label>
                    <div class="input-control date-time">
                        <input kendo-date-picker ng-model="thursdaydates" k-options="MC.datePickerOptions" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" ng-change="datetimePickerChanged($event,'Thursday')" />
                    </div>
                    <div class="input-control choosen" data-role="input-control">
                        <div>
                            <select chosen multiple
                                    data-placeholder="Select applicable dates"
                                    ng-model="@Html.Ang(m => m.ThursdayDates)"
                                    name="thursdayApplicableDates"
                                    ng-options="obj.Value as obj.Text for obj in Model.AllThursdayDates"></select>
                        </div>
                    </div>

                </div>
                
                
                <div class="place-left padding-right20">
                    <div class="input-control checkbox" data-role="input-control">
                        <label>
                            <input ng-model="@Html.Ang(model => model.Friday)" type="checkbox">
                            <span class="check"></span>
                            Fridays
                        </label>
                    </div>
                </div>
                <div class="clearfix"></div>
                <div ng-show="@Html.Ang(m=> m.Friday)" style="padding-left:30px">
                    <label>Total day count during season</label>
                    <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.FridayNumberOfClasses)>
                        <input ng-model="@Html.Ang(m => m.FridayNumberOfClasses)" type="text" @Html.AngTooltipValidationFor(model => model.FridayNumberOfClasses) />
                    </div>
                    <div class="clearfix"></div>
                    <label>Applicable dates</label>
                    <div class="input-control date-time">
                        <input kendo-date-picker ng-model="fridaydates" k-options="MC.datePickerOptions" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" ng-change="datetimePickerChanged($event,'Friday')" />
                    </div>
                    <div class="input-control choosen" data-role="input-control">
                        <div>
                            <select chosen multiple
                                    data-placeholder="Select applicable dates"
                                    ng-model="@Html.Ang(m => m.FridayDates)"
                                    name="fridayApplicableDates"
                                    ng-options="obj.Value as obj.Text for obj in Model.AllFridayDates"></select>
                        </div>
                    </div>

                </div> 
                <div class="clearfix"></div>
                <label>No class dates</label>
                <div class="input-control date-time">
                    <input kendo-date-picker ng-model="noclassdates" k-options="MC.datePickerOptions" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" ng-change="datetimePickerChanged($event,'NoClass')" />
                </div>
                <div class="input-control choosen" data-role="input-control">
                    <div>
                        <select chosen multiple
                                data-placeholder="Select applicable dates"
                                ng-model="@Html.Ang(m => m.NoClassDates)"
                                name="noClassApplicableDates"
                                ng-options="obj.Value as obj.Text for obj in Model.AllNoClassDates"></select>
                    </div>
                </div>
                  </div>
        </fieldset>
       

        <div class="clearfix"></div>
        <hr />
        <button ngaction="Season_SchoolSetting_ScheduleInfo_Save" ng-click="save()" class="success large place-right">Save</button>
        <a class="place-left button link large" ui-sref='SeasonSchoolSetting({seasonDomain: MC.stateParams.seasonDomain})'>Cancel</a>

    </form>
    <div class="clearfix"></div>
</div>